@import './../../../styles/variables';

.case {
  cursor: pointer;
  color: $black;
  padding-bottom: $spacing-m;
  position: relative;

  // Make the whole card clickable when keeping the correct markup
  a::after {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
  }

  .title {
    color: $black;
    text-transform: none;
    font-weight: normal;
  }
}

.container {
  display: flex;
  flex-direction: column;
  gap: $spacing-m;

  .case--secondary {
    border-top: $border-default;
    & + .case--secondary {
      border-bottom: $border-default;
    }

    .title {
      font-size: $font-24;
    }
  }

  .case__quote {
    margin: $spacing-xl auto;
  }

  .readmore {
    display: none;
  }
  &[data-display='grid'] {
    @media (min-width: $mq-tab-s) {
      display: grid;
      grid-template-columns: repeat(8, 1fr);
      grid-template-rows: repeat(auto-fill, 250px);
      grid-auto-flow: row dense;
      gap: $spacing-l;

      .case--primary {
        grid-column: span 4;
        grid-row: span 4;
      }

      .case--secondary {
        grid-column: 6 / span 3;
        grid-row: span 3;
      }

      .case.case--secondary + .case--primary {
        grid-column: 1 / span 5;
        grid-row: span 7;
      }

      .case__quote {
        grid-column: 1 / 9;
      }

      .readmore {
        display: block;
      }
    }
  }
}
